module M_ArraySection

    use M_Array_2D_to_1D

    contains

    subroutine ArraySection ( b2D )
        implicit none
        real*8, intent(in) :: b2D ( : , : )
        
        print*, "-call ArraySection start"

        call Array_2D_to_1D ( size(b2D), b2D )

        print*, "-call ArraySection finish"

        return
    end subroutine ArraySection

end module M_ArraySection